# getByPath

abstract fun getByPath(path: String): Task

Locates a task by path. You can supply a task name, a relative path, or an absolute path. Relative paths are interpreted relative to the project for this container. This method throws an exception if no task with the given path exists.

#### Return

The task. Never returns null

#### Parameters

path

the path of the task to be returned

#### Throws

UnknownTaskException

If no task with the given path exists.